API ReferenceApplications
POST
/{ssoAppId}/oauth2/v1/devicePath Parameters
ssoAppId*string
Request Body
application/json
ssoAppId?string
Length
length <= 100client_id*string
Length
1 <= length <= 200scope?string
Length
length <= 10000audience?string
Length
length <= 1000project_id?string
dpop_jkt?string
Length
length <= 1000authorization_details?string
Length
length <= 8192client_secret?string
Length
length <= 1000client_assertion_type?string
Length
length <= 200client_assertion?string
Length
length <= 10000login_hint?string
Length
length <= 1000OIDC device endpoint (sso app)
curl -X POST "https://api.descope.com/string/oauth2/v1/device" \ -H "Content-Type: application/json" \ -d '{ "client_id": "string" }'{ "device_code": "string", "user_code": "string", "verification_uri": "string", "verification_uri_complete": "string", "expires_in": 0, "interval": 0}export interface Response {device_code?: stringuser_code?: stringverification_uri?: stringverification_uri_complete?: stringexpires_in?: numberinterval?: number} Was this helpful?